declare const _default: import("vue").DefineComponent<any, {
    configProvider: any;
}, unknown, {}, {
    handlePreview(file: any, e: any): any;
    handleDownload(file: any): void;
    handleClose(file: any): void;
}, {
    methods: {
        setState(state: {}, callback: any): void;
        __emit(...args: any[]): void;
    };
}, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<any>, {} | {
    [x: string]: any;
}>;
export default _default;
